How do I authorise my Saffire Plugins?

The (legacy) Saffire plugin suite has now been discontinued and it is no longer possible to make new authorisations. The plugins can still be used on systems that have already been authorised.

Please note: this only applies to the Saffire plugin suite that came bundled with the Saffire (white-faced), Saffire LE, Saffire PRO 26 and Saffire PRO 10. All other plugin suites are unaffected.